org.jfree.chart.plot

## Interface ValueAxisPlot

All Known Implementing Classes:
  CategoryPlot, CombinedDomainCategoryPlot, CombinedDomainXYPlot, CombinedRangeCategoryPlot, CombinedRangeXYPlot, ContourPlot, FastScatterPlot, PolarPlot, ThermometerPlot, XYPlot

    public interface ValueAxisPlot

An interface that is implemented by plots that use a `ValueAxis`, providing a standard method to find the current data range.

### Method Summary

Methods
`Range` `getDataRange(ValueAxis axis)` Returns the data range that should apply for the specified axis.

### Method Detail

#### getDataRange

    Range getDataRange(ValueAxis axis)

Returns the data range that should apply for the specified axis.

Parameters:
  `axis` - the axis.
Returns:
  The data range.